Менеджер обновлений не будет устанавливать из неидентифицированных источников [дубликат]

8

Мой менеджер обновлений показывает доступные обновления. Когда я нажимаю на установку обновлений, он показывает следующее и не обновляется.

The action would require the installation of packages from not authenticated sources.

в деталях:

accountsservice cups cups-bsd cups-client cups-common cups-ppdc empathy empathy-common libaccountsservice0 libcups2 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1 libcupsppdc1 nautilus-sendto-empathy scribus-trunk

Как получить обновления?

    
задан Sivamani 02.08.2012 в 11:14
источник

4 ответа

13

Для обновления из источников, не прошедших проверку подлинности, используйте следующую команду:

sudo apt-get update && sudo apt-get upgrade --allow-unauthenticated

См. страницу руководства Ubuntu для apt-get , чтобы получить более подробную информацию about --allow-unauthenticated option

    
ответ дан Anwar 02.08.2012 в 11:30
источник
0

Вы можете удалить обновления в диспетчере обновлений, используя это, чтобы найти, какое обновление вызывает проблему, а затем повторно установить PPA, из которого оно получено.

Также попробуйте sudo apt-get update в терминале для обновления ваших источников программного обеспечения.

    
ответ дан Mark Kirby 02.08.2012 в 11:20
источник
0

Сделайте следующие 2 шага и проверьте

  1. sudo apt-get update && sudo apt-get upgrade --allow-unauthenticated

  2. Перейдите в диспетчер обновлений - > нажмите на настройки - > выберите вкладку Ubuntu Software - > Вы можете увидеть опцию «Загрузить из», чтобы разместить основной сервер в качестве места загрузки.

Сохраните его и запустите, он будет работать

    
ответ дан Daniel 28.07.2013 в 18:03
источник
0

Если ваш список обновлений не слишком длинный, и вы хотите обновить только определенный элемент. Вы также можете:

  • Оставьте окно диспетчера обновлений открытым и перейдите к синаптическому,
  • введите имя обновления, необходимого от диспетчера обновлений.
  • Если ваше обновление не отображается, не забудьте отсортировать результаты поиска по щелкнув заголовок столбца «Установленная версия», чтобы они отображались вверху.
  • Нажмите на соответствующие элементы с серым восклицательным знаком, затем вправо щелкните и щелкните по значку для обновления, затем примените.
  • Появится предупреждение о том, что пакеты не прошли проверку подлинности. Нажмите чтобы продолжить установку, и ваше обновление будет установлено.

Надеюсь, что это поможет кому-то!

    
ответ дан Justin 13.04.2013 в 07:35
источник

Ознакомьтесь с другими вопросами по меткам